bamfdaemon crashed with SIGSEGV in g_str_hash()

Bug #638705 reported by George V. Reilly on 2010-09-15
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
BAMF
Medium
Jason Smith
Unity
Invalid
Medium
Jason Smith
bamf (Ubuntu)
Medium
Unassigned

Bug Description

Notification appeared in top left menu bar. I didn't do anything to trigger it, as far as I know

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: bamfdaemon 0.2.46-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Uname: Linux 2.6.35-20-generic i686
Architecture: i386
CrashCounter: 1
Date: Wed Sep 15 00:05:25 2010
ExecutablePath: /usr/lib/bamf/bamfdaemon
InstallationMedia: Ubuntu-Netbook-Remix 9.10 "Karmic Koala" - Release i386 (20091028.4)
ProcCmdline: /usr/lib/bamf/bamfdaemon
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.utf8
SegvAnalysis:
 Segfault happened at: 0x45d157 <g_str_hash+7>: movsbl (%edx),%eax
 PC (0x0045d157) ok
 source "(%edx)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: bamf
StacktraceTop:
 g_str_hash () from /lib/libglib-2.0.so.0
 g_hash_table_lookup () from /lib/libglib-2.0.so.0
 ?? ()
 ?? ()
 ?? ()
Title: bamfdaemon crashed with SIGSEGV in g_str_hash()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (polkit-gnome-authentication-agent-1:1754): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (bluetooth-applet:1755): Gtk-CRITICAL **: IA__gtk_widget_set_sensitive: assertion `GTK_IS_WIDGET (widget)' failed
 (mutter:1708): libindicator-WARNING **: Unable to create service proxy on 'org.ayatana.indicator.application': Could not get owner of name 'org.ayatana.indicator.application': no such name
 (mutter:1708): libindicator-WARNING **: Unable to create service proxy on 'org.ayatana.indicator.sound': Could not get owner of name 'org.ayatana.indicator.sound': no such name
 (mutter:1708): libindicator-WARNING **: Unable to create service proxy on 'org.ayatana.indicator.messages': Could not get owner of name 'org.ayatana.indicator.messages': no such name

Related branches

StacktraceTop:
 ?? ()
 ?? ()
 dbus_glib_marshal_bamf_control_BOOLEAN__INT_POINTER (
 pid_parent_tree (self=0x8e9cc40, pid=-72515584)
 bamf_matcher_init (self=0x8e9cc40) at bamf-matcher.c:537

Changed in bamf (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Didier Roche (didrocks) on 2010-09-24
visibility: private → public
Changed in bamf:
status: New → Triaged
Changed in bamf (Ubuntu):
status: New → Triaged
Changed in bamf:
assignee: nobody → Jason Smith (jassmith)
importance: Undecided → Medium
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
David Barth (dbarth) on 2010-09-24
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
milestone: none → 2010-09-24
Jason Smith (jassmith) on 2010-09-24
Changed in bamf:
status: Triaged → Fix Committed
Neil J. Patel (njpatel) on 2010-09-24
Changed in unity:
status: Triaged → Invalid
Didier Roche (didrocks) on 2010-09-27
Changed in bamf:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.2.58-0ubuntu1

---------------
bamf (0.2.58-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Fix Nautilus' "File Operation" dialog gets stuck and prevents opening new
      Nautilus windows (LP: #647979)
    - Fix bamfdaemon crashed with SIGSEGV in g_str_hash() (LP: #638705)
 -- Didier Roche <email address hidden> Mon, 27 Sep 2010 22:28:40 +0200

Changed in bamf (Ubuntu):
status: Triaged → Fix Released
Adolfo Jayme (fitojb) on 2014-01-11
no longer affects: bamf (Ubuntu Quantal)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers